Bug 309381 - Redownloads files that are already there
Redownloads files that are already there
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: autodownloader (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 13:27 EDT by Bastien Nocera
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.2.0-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 19:35:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-09-27 13:27:57 EDT
autodownloader doesn't check whether the files already exist in the expected
target before re-downloading them.

Maybe there should be a SHA1 sum in the autodlrc files to verify they've already
been downloaded correctly?
Comment 1 Hans de Goede 2007-09-27 13:47:13 EDT
There already is an md5sum in the autodlrc files and this already gets checked
after download. Adding a check if there already is an existing download and if
it matches should be trivial.

I'll add that as time permits, I'm rather busy with all kinda stuff ATM.
Comment 2 Hans de Goede 2007-10-04 08:57:41 EDT
Fixed in 0.2.0-4 .
Comment 3 Fedora Update System 2007-11-15 19:35:30 EST
autodownloader-0.2.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-11-15 19:38:22 EST
autodownloader-0.2.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.